SystemOrganization addCategory: #TpTraitsAlpha!

Trait named: #TAlumno
	uses: {}
	category: 'TpTraitsAlpha'!

!TAlumno methodsFor: 'as yet unclassified' stamp: 'PabloM 9/25/2013 23:12'!
anotarseEn:unCurso
	|cursada|
	cursada := unCurso nuevaCursada.
	cursada alumno: self .
	^cursada ! !

Trait named: #TConCorteDeTiempo
	uses: {}
	category: 'TpTraitsAlpha'!

!TConCorteDeTiempo methodsFor: 'as yet unclassified' stamp: 'Javi 9/20/2013 17:12'!
crearCorteParaAo:unAo
|unCorteDeTiempo|
unCorteDeTiempo = ACorteDeTiempo new.
unCorteDeTiempo cursadas: (self cursadas select: [:unaCursada| unaCursada fecha year = unAo]).
^unCorteDeTiempo ! !

Trait named: #TConEventos
	uses: {}
	category: 'TpTraitsAlpha'!

!TConEventos methodsFor: 'as yet unclassified' stamp: 'Javi 9/25/2013 02:47'!
eventos
self requirements ! !

!TConEventos methodsFor: 'as yet unclassified' stamp: 'Javi 9/25/2013 02:48'!
informacionAgenda 
^self eventos collect: [:unEvento | unEvento informacionAgenda]! !

Trait named: #TCursada
	uses: {}
	category: 'TpTraitsAlpha'!

!TCursada methodsFor: 'as yet unclassified' stamp: 'PabloM 9/25/2013 23:03'!
aniadirCursada: algoConCursadas. 
	algoConCursadas cursadas add: self .! !

Trait named: #TCurso
	uses: {}
	category: 'TpTraitsAlpha'!

!TCurso methodsFor: 'as yet unclassified' stamp: 'PabloM 9/26/2013 01:13'!
aniadirDocente:unDocente
	self docentes add: unDocente .
	unDocente cursos add: self .! !

!TCurso methodsFor: 'as yet unclassified' stamp: 'PabloM 9/25/2013 22:53'!
nuevaCursada
	|cursada|.
	cursada := ACursada new.
	cursada curso: self .
	^ cursada .! !

Trait named: #TEstadisticas
	uses: {}
	category: 'TpTraitsAlpha'!

!TEstadisticas methodsFor: 'as yet unclassified' stamp: 'Javi 9/20/2013 16:53'!
cantidadDeAbandonadas 
^self cursadas count: [:unaCursada| unaCursada fueAbandonada]! !

!TEstadisticas methodsFor: 'as yet unclassified' stamp: 'Javi 9/20/2013 16:52'!
cantidadDeAprobadas 
^self notas count: [:unaNota| unaNota >= 4]! !

!TEstadisticas methodsFor: 'as yet unclassified' stamp: 'PabloM 9/25/2013 19:02'!
cantidadDeIniciadas 
	^ self cursadas size ! !

!TEstadisticas methodsFor: 'as yet unclassified' stamp: 'PabloM 9/25/2013 20:06'!
cursadas
	self requirements ! !

!TEstadisticas methodsFor: 'as yet unclassified' stamp: 'PabloM 9/25/2013 19:16'!
cursadasTerminadas
	"traigo solo las que no abandono"
	^ self cursadas select: [: unaCursada | unaCursada fueAbandonada  not]! !

!TEstadisticas methodsFor: 'as yet unclassified' stamp: 'Javi 9/20/2013 17:24'!
notaMasAltaAlcanzadaNVeces: n
"Selecciono todas las notas alcanzadas n veces, y devuelvo la mas alta"
^#(1 2 3 4 5 6 7 8 9 10) select: [:unaNota | (self notas occurrencesOf: unaNota >= n)] max.! !

!TEstadisticas methodsFor: 'as yet unclassified' stamp: 'PabloM 9/25/2013 19:14'!
notas 
"^ self cursadas collect: [:cursada | cursada nota] "
^ self cursadasTerminadas  collect: [:cursada | cursada nota] ! !

!TEstadisticas methodsFor: 'as yet unclassified' stamp: 'Javi 9/20/2013 17:17'!
notasAprobadas 
^self notas select: [:unaNota | unaNota >= 4]! !

!TEstadisticas methodsFor: 'as yet unclassified' stamp: 'PabloM 9/25/2013 19:36'!
porcentajeDeAprobadosSobreIniciados 
"	^ self cantidadDeAprobadas / self cantidadDeIniciadas roundTo:0.01"
	^ (self cantidadDeAprobadas * 100 / self cantidadDeIniciadas ) roundTo:0.01! !

!TEstadisticas methodsFor: 'as yet unclassified' stamp: 'PabloM 9/25/2013 20:00'!
promedioConAplazos 
^self notas average roundTo: 0.01! !

!TEstadisticas methodsFor: 'as yet unclassified' stamp: 'PabloM 9/25/2013 20:00'!
promedioSinAplazos
^self notasAprobadas average roundTo: 0.01! !

!TEstadisticas methodsFor: 'as yet unclassified' stamp: 'Javi 9/20/2013 17:29'!
tablaDeNotas 
^#(1 2 3 4 5 6 7 8 9 10) collect: [:unaNota | self notas occurrencesOf: unaNota]! !

Trait named: #TEvento
	uses: {}
	category: 'TpTraitsAlpha'!

!TEvento methodsFor: 'as yet unclassified' stamp: 'Javi 9/25/2013 02:45'!
informacionAgenda
^(self fecha), ' ', (self horaDesde), ' ', (self horaHasta), ' ', (self string), String cr ! !

!TEvento methodsFor: 'as yet unclassified' stamp: 'Javi 9/25/2013 03:01'!
string
^self requirements ! !

Trait named: #TMateria
	uses: {}
	category: 'TpTraitsAlpha'!

!TMateria methodsFor: 'as yet unclassified' stamp: 'PabloM 9/25/2013 23:17'!
AbrirCurso
	|curso|
	curso := ACurso new.
	self cursos add: curso .
	^ curso .! !

Trait named: #TMulti
	uses: {}
	category: 'TpTraitsAlpha'!

!TMulti methodsFor: 'as yet unclassified' stamp: 'PabloM 9/25/2013 23:46'!
algoConCursadas 
	self requirements ! !

!TMulti methodsFor: 'as yet unclassified' stamp: 'PabloM 9/25/2013 23:51'!
cursadas
	^ (self algoConCursadas collect: [:unElemento| unElemento cursadas] )gather: [:e|e].! !

Trait named: #TMultiAlumno
	uses: TMulti
	category: 'TpTraitsAlpha'!

TMultiAlumno classTrait
	uses: TMulti classTrait!

!TMultiAlumno methodsFor: 'as yet unclassified' stamp: 'PabloM 9/25/2013 23:47'!
algoConCursadas 
	^  self alumnos.! !

!TMultiAlumno methodsFor: 'as yet unclassified' stamp: 'PabloM 9/25/2013 23:45'!
alumnos
	self requirements ! !

Trait named: #TMultiCurso
	uses: TMulti
	category: 'TpTraitsAlpha'!

TMultiCurso classTrait
	uses: TMulti classTrait!

!TMultiCurso methodsFor: 'as yet unclassified' stamp: 'PabloM 9/25/2013 23:48'!
algoConCursadas 
	^ self cursos.! !

!TMultiCurso methodsFor: 'as yet unclassified' stamp: 'PabloM 9/25/2013 23:45'!
cursos
	self requirements ! !

Trait named: #TMultiMateria
	uses: TMulti
	category: 'TpTraitsAlpha'!

TMultiMateria classTrait
	uses: TMulti classTrait!

!TMultiMateria methodsFor: 'as yet unclassified' stamp: 'PabloM 9/25/2013 23:48'!
algoConCursadas 
	^ self materias ! !

!TMultiMateria methodsFor: 'as yet unclassified' stamp: 'PabloM 9/25/2013 23:45'!
materias
	self requirements ! !

Object subclass: #AActividad
	instanceVariableNames: 'grupo responsable fechaPresentacion fechaAprobacion montoFinanciamiento nombre'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TpTraitsAlpha'!

!AActividad methodsFor: 'as yet unclassified' stamp: 'Javi 9/25/2013 03:08'!
articulosConFecha ! !

!AActividad methodsFor: 'accessing' stamp: 'Javi 9/25/2013 02:28'!
fechaAprobacion
	^ fechaAprobacion! !

!AActividad methodsFor: 'accessing' stamp: 'Javi 9/25/2013 02:28'!
fechaAprobacion: anObject
	fechaAprobacion := anObject! !

!AActividad methodsFor: 'accessing' stamp: 'Javi 9/25/2013 02:28'!
fechaPresentacion
	^ fechaPresentacion! !

!AActividad methodsFor: 'accessing' stamp: 'Javi 9/25/2013 02:28'!
fechaPresentacion: anObject
	fechaPresentacion := anObject! !

!AActividad methodsFor: 'accessing' stamp: 'Javi 9/25/2013 02:29'!
grupo
	^ grupo! !

!AActividad methodsFor: 'accessing' stamp: 'Javi 9/25/2013 02:29'!
grupo: anObject
	grupo := anObject! !

!AActividad methodsFor: 'accessing' stamp: 'Javi 9/25/2013 02:52'!
informacionAgenda! !

!AActividad methodsFor: 'accessing' stamp: 'Javi 9/25/2013 02:28'!
montoFinanciamiento
	^ montoFinanciamiento! !

!AActividad methodsFor: 'accessing' stamp: 'Javi 9/25/2013 02:28'!
montoFinanciamiento: anObject
	montoFinanciamiento := anObject! !

!AActividad methodsFor: 'accessing' stamp: 'Javi 9/25/2013 02:28'!
nombre
	^ nombre! !

!AActividad methodsFor: 'accessing' stamp: 'Javi 9/25/2013 02:28'!
nombre: anObject
	nombre := anObject! !

!AActividad methodsFor: 'accessing' stamp: 'Javi 9/25/2013 02:28'!
responsable
	^ responsable! !

!AActividad methodsFor: 'accessing' stamp: 'Javi 9/25/2013 02:28'!
responsable: anObject
	responsable := anObject! !

AActividad subclass: #ACharla
	uses: TEvento
	instanceVariableNames: 'fecha horaDesde horaHasta cantidadEstimadaPublico'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TpTraitsAlpha'!

ACharla class
	uses: TEvento classTrait
	instanceVariableNames: ''!

!ACharla methodsFor: 'accessing' stamp: 'Javi 9/25/2013 02:32'!
cantidadEstimadaPublico
	^ cantidadEstimadaPublico! !

!ACharla methodsFor: 'accessing' stamp: 'Javi 9/25/2013 02:32'!
cantidadEstimadaPublico: anObject
	cantidadEstimadaPublico := anObject! !

!ACharla methodsFor: 'accessing' stamp: 'Javi 9/25/2013 02:32'!
fecha
	^ fecha! !

!ACharla methodsFor: 'accessing' stamp: 'Javi 9/25/2013 02:32'!
fecha: anObject
	fecha := anObject! !

!ACharla methodsFor: 'accessing' stamp: 'Javi 9/25/2013 02:32'!
horaDesde
	^ horaDesde! !

!ACharla methodsFor: 'accessing' stamp: 'Javi 9/25/2013 02:32'!
horaDesde: anObject
	horaDesde := anObject! !

!ACharla methodsFor: 'accessing' stamp: 'Javi 9/25/2013 02:32'!
horaHasta
	^ horaHasta! !

!ACharla methodsFor: 'accessing' stamp: 'Javi 9/25/2013 02:32'!
horaHasta: anObject
	horaHasta := anObject! !

!ACharla methodsFor: 'as yet unclassified' stamp: 'Javi 9/25/2013 03:02'!
string
^self nombre  ! !

AActividad subclass: #AProyecto
	uses: TConEventos
	instanceVariableNames: 'experimentos resultados'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TpTraitsAlpha'!

AProyecto class
	uses: TConEventos classTrait
	instanceVariableNames: ''!

!AProyecto methodsFor: 'as yet unclassified' stamp: 'Javi 9/25/2013 03:19'!
articulos 
^self resultados select: [:unResultado | unResultado esArticulo]! !

!AProyecto methodsFor: 'as yet unclassified' stamp: 'Javi 9/25/2013 03:18'!
articulosConFecha 
^self articulos collect: [:unArticulo | unArticulo descripcion, ' ', unArticulo fecha asString]! !

!AProyecto methodsFor: 'accessing' stamp: 'Javi 9/25/2013 02:53'!
eventos
^experimentos ! !

!AProyecto methodsFor: 'accessing' stamp: 'Javi 9/25/2013 02:32'!
experimentos
	^ experimentos! !

!AProyecto methodsFor: 'accessing' stamp: 'Javi 9/25/2013 02:32'!
experimentos: anObject
	experimentos := anObject! !

!AProyecto methodsFor: 'accessing' stamp: 'Javi 9/25/2013 02:32'!
resultados
	^ resultados! !

!AProyecto methodsFor: 'accessing' stamp: 'Javi 9/25/2013 02:32'!
resultados: anObject
	resultados := anObject! !

AActividad subclass: #ASeminario
	uses: TConEventos
	instanceVariableNames: 'sesiones'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TpTraitsAlpha'!

ASeminario class
	uses: TConEventos classTrait
	instanceVariableNames: ''!

!ASeminario methodsFor: 'as yet unclassified' stamp: 'Javi 9/25/2013 02:59'!
aadirSesionEnFecha: unaFecha horaDesde: unaHoraDesde horaHasta: unaHoraHasta
|nuevaSesion|
nuevaSesion := ASesion new.
nuevaSesion fecha: unaFecha.
nuevaSesion horaDesde: unaHoraDesde.
nuevaSesion horaHasta: unaHoraHasta.
nuevaSesion seminario: self.
sesiones add: nuevaSesion.
^nuevaSesion ! !

!ASeminario methodsFor: 'accessing' stamp: 'Javi 9/25/2013 02:53'!
eventos
^sesiones! !

!ASeminario methodsFor: 'accessing' stamp: 'Javi 9/25/2013 02:30'!
sesiones
	^ sesiones! !

!ASeminario methodsFor: 'accessing' stamp: 'Javi 9/25/2013 02:30'!
sesiones: anObject
	sesiones := anObject! !

Object subclass: #ACarrera
	uses: TEstadisticas - {#cursadas} + TMultiAlumno
	instanceVariableNames: 'alumnos'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TpTraitsAlpha'!

ACarrera class
	uses: TEstadisticas classTrait + TMultiAlumno classTrait
	instanceVariableNames: ''!

!ACarrera methodsFor: 'accessing' stamp: 'PabloM 9/25/2013 23:53'!
alumnos
	^ alumnos! !

!ACarrera methodsFor: 'accessing' stamp: 'PabloM 9/25/2013 23:53'!
alumnos: anObject
	alumnos := anObject! !

!ACarrera methodsFor: 'as yet unclassified' stamp: 'PabloM 9/25/2013 23:54'!
initialize 
	super initialize .
	alumnos := Bag new.! !

Object subclass: #ACorteDeTiempo
	uses: TEstadisticas
	instanceVariableNames: 'cursadas'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TpTraitsAlpha'!

ACorteDeTiempo class
	uses: TEstadisticas classTrait
	instanceVariableNames: ''!

!ACorteDeTiempo methodsFor: 'accessing' stamp: 'Javi 9/20/2013 16:16'!
cursadas
	^ cursadas! !

!ACorteDeTiempo methodsFor: 'accessing' stamp: 'Javi 9/20/2013 16:16'!
cursadas: anObject
	cursadas := anObject! !

Object subclass: #ACursada
	uses: TCursada
	instanceVariableNames: 'nota alumno curso fecha abandonada'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TpTraitsAlpha'!

ACursada class
	uses: TCursada classTrait
	instanceVariableNames: ''!

!ACursada class methodsFor: 'as yet unclassified' stamp: 'Javi 9/20/2013 17:41'!
crearCursadaParaAlumno: unAlumno fecha: unaFecha curso: unCurso
|unaCursada|
unaCursada := self new.
unaCursada alumno: unAlumno.
unaCursada fecha: unaFecha.
unaCursada curso: unCurso.
unAlumno aniadirCursada: unaCursada.
unCurso aniadirCursada: unaCursada.
^unaCursada.

! !

!ACursada methodsFor: 'accessing' stamp: 'Javi 9/20/2013 16:25'!
alumno
	^ alumno! !

!ACursada methodsFor: 'accessing' stamp: 'PabloM 9/25/2013 23:03'!
alumno: unAlumno
	alumno := unAlumno.
"cuando agrego un alumno agrego la cursada al alumno"
"	unAlumno aniadirCursada: self ."
	self aniadirCursada: unAlumno .

	
	! !

!ACursada methodsFor: 'as yet unclassified' stamp: 'PabloM 9/25/2013 23:06'!
aniadirCursada: algoConCursadas. 
	"agrego a su lista de cursadas yo mismo para que ambas se referencien"
	algoConCursadas cursadas add: self .! !

!ACursada methodsFor: 'accessing' stamp: 'Javi 9/20/2013 16:25'!
curso
	^ curso! !

!ACursada methodsFor: 'accessing' stamp: 'PabloM 9/25/2013 23:03'!
curso: unCurso
	curso := unCurso.
"	unCurso aniadirCursada: self ."
	self aniadirCursada: unCurso .! !

!ACursada methodsFor: 'accessing' stamp: 'Javi 9/20/2013 16:45'!
fecha
	^ fecha! !

!ACursada methodsFor: 'accessing' stamp: 'Javi 9/20/2013 16:45'!
fecha: anObject
	fecha := anObject! !

!ACursada methodsFor: 'accessing' stamp: 'Javi 9/20/2013 17:15'!
fueAbandonada
	^ abandonada! !

!ACursada methodsFor: 'accessing' stamp: 'Javi 9/20/2013 17:36'!
initialize
abandonada := false.
nota := nil.! !

!ACursada methodsFor: 'accessing' stamp: 'Javi 9/20/2013 16:25'!
nota
	^ nota! !

!ACursada methodsFor: 'accessing' stamp: 'Javi 9/20/2013 16:25'!
nota: anObject
	nota := anObject! !

!ACursada methodsFor: 'accessing' stamp: 'Javi 9/20/2013 17:15'!
setAbandonada
abandonada := true! !

Object subclass: #ACurso
	uses: TEstadisticas + TCurso
	instanceVariableNames: 'cursadas docentes'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TpTraitsAlpha'!

ACurso class
	uses: TEstadisticas classTrait + TCurso classTrait
	instanceVariableNames: ''!

!ACurso methodsFor: 'accessing' stamp: 'Javi 9/20/2013 16:26'!
cursadas
	^ cursadas! !

!ACurso methodsFor: 'accessing' stamp: 'Javi 9/20/2013 16:26'!
cursadas: anObject
	cursadas := anObject! !

!ACurso methodsFor: 'accessing' stamp: 'PabloM 9/26/2013 00:32'!
docentes
	^ docentes! !

!ACurso methodsFor: 'accessing' stamp: 'PabloM 9/26/2013 01:10'!
docentes: unDocente
	docentes := unDocente ! !

!ACurso methodsFor: 'as yet unclassified' stamp: 'PabloM 9/26/2013 00:32'!
initialize 
	super initialize .
	"cursadas := Set new."
	cursadas := Bag new.
	docentes := Bag new.! !

Object subclass: #AExperimento
	uses: TEvento
	instanceVariableNames: 'fecha horaDesde horaHasta descripcion'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TpTraitsAlpha'!

AExperimento class
	uses: TEvento classTrait
	instanceVariableNames: ''!

!AExperimento methodsFor: 'accessing' stamp: 'Javi 9/25/2013 02:34'!
descripcion
	^ descripcion! !

!AExperimento methodsFor: 'accessing' stamp: 'Javi 9/25/2013 02:34'!
descripcion: anObject
	descripcion := anObject! !

!AExperimento methodsFor: 'accessing' stamp: 'Javi 9/25/2013 02:34'!
fecha
	^ fecha! !

!AExperimento methodsFor: 'accessing' stamp: 'Javi 9/25/2013 02:34'!
fecha: anObject
	fecha := anObject! !

!AExperimento methodsFor: 'accessing' stamp: 'Javi 9/25/2013 02:34'!
horaDesde
	^ horaDesde! !

!AExperimento methodsFor: 'accessing' stamp: 'Javi 9/25/2013 02:34'!
horaDesde: anObject
	horaDesde := anObject! !

!AExperimento methodsFor: 'accessing' stamp: 'Javi 9/25/2013 02:34'!
horaHasta
	^ horaHasta! !

!AExperimento methodsFor: 'accessing' stamp: 'Javi 9/25/2013 02:34'!
horaHasta: anObject
	horaHasta := anObject! !

!AExperimento methodsFor: 'as yet unclassified' stamp: 'Javi 9/25/2013 03:02'!
string
^self descripcion  ! !

Object subclass: #AGrupoInvestigacion
	instanceVariableNames: 'actividades integrantes'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TpTraitsAlpha'!

!AGrupoInvestigacion methodsFor: 'accessing' stamp: 'Javi 9/25/2013 02:29'!
actividades
	^ actividades! !

!AGrupoInvestigacion methodsFor: 'accessing' stamp: 'Javi 9/25/2013 02:29'!
actividades: anObject
	actividades := anObject! !

!AGrupoInvestigacion methodsFor: 'as yet unclassified' stamp: 'Javi 9/25/2013 03:05'!
actividadesPresentadasPeroNoAprobadas
^self actividades select: [:unaActividad | unaActividad fechaAprobacion isNil]! !

!AGrupoInvestigacion methodsFor: 'accessing' stamp: 'Javi 9/25/2013 02:51'!
agendaEventos
^(self actividades collect: [:unaActividad |unaActividad informacionAgenda]) gather: [:e|e]! !

!AGrupoInvestigacion methodsFor: 'as yet unclassified' stamp: 'Javi 9/25/2013 03:07'!
articulosConFecha
^(self actividades collect: [:unaActividad | unaActividad articulosConFecha]) gather: [:e|e]! !

!AGrupoInvestigacion methodsFor: 'accessing' stamp: 'Javi 9/25/2013 02:29'!
integrantes
	^ integrantes! !

!AGrupoInvestigacion methodsFor: 'accessing' stamp: 'Javi 9/25/2013 02:29'!
integrantes: anObject
	integrantes := anObject! !

!AGrupoInvestigacion methodsFor: 'as yet unclassified' stamp: 'Javi 9/25/2013 03:03'!
montoTotalDeFinanciamiento
^self actividades sum: [:unaActividad | unaActividad montoFinanciamiento]! !

Object subclass: #AMateria
	uses: TEstadisticas - {#cursadas} + TMateria + TMultiCurso
	instanceVariableNames: 'cursos'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TpTraitsAlpha'!

AMateria class
	uses: TEstadisticas classTrait + TMateria classTrait + TMultiCurso classTrait
	instanceVariableNames: ''!

!AMateria methodsFor: 'accessing' stamp: 'Javi 9/20/2013 16:26'!
cursos
	^ cursos! !

!AMateria methodsFor: 'accessing' stamp: 'Javi 9/20/2013 16:26'!
cursos: anObject
	cursos := anObject! !

!AMateria methodsFor: 'as yet unclassified' stamp: 'PabloM 9/25/2013 20:47'!
initialize 
	super initialize .
	cursos  := Bag new.! !

Object subclass: #APersona
	instanceVariableNames: 'gruposInvestigacion'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TpTraitsAlpha'!

APersona subclass: #AAlumno
	uses: TEstadisticas + TConCorteDeTiempo + TAlumno
	instanceVariableNames: 'cursadas carrera'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TpTraitsAlpha'!

AAlumno class
	uses: TEstadisticas classTrait + TConCorteDeTiempo classTrait + TAlumno classTrait
	instanceVariableNames: ''!

!AAlumno methodsFor: 'accessing' stamp: 'PabloM 9/25/2013 23:14'!
carrera
	^ carrera! !

!AAlumno methodsFor: 'accessing' stamp: 'PabloM 9/25/2013 23:56'!
carrera: unaCarrera
	carrera := unaCarrera .
	unaCarrera alumnos add: self 


! !

!AAlumno methodsFor: 'accessing' stamp: 'Javi 9/20/2013 16:26'!
cursadas
	^ cursadas! !

!AAlumno methodsFor: 'accessing' stamp: 'Javi 9/20/2013 16:26'!
cursadas: anObject
	cursadas := anObject! !

!AAlumno methodsFor: 'as yet unclassified' stamp: 'PabloM 9/25/2013 23:54'!
initialize 
	super initialize .
"	cursadas := Set new."
	carrera := nil.
	cursadas := Bag new.! !

APersona subclass: #ADocente
	uses: TEstadisticas - {#cursadas} + TConCorteDeTiempo + TMultiCurso
	instanceVariableNames: 'cursos'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TpTraitsAlpha'!

ADocente class
	uses: TEstadisticas classTrait + TConCorteDeTiempo classTrait + TMultiCurso classTrait
	instanceVariableNames: ''!

!ADocente methodsFor: 'accessing' stamp: 'Javi 9/20/2013 16:26'!
cursos
	^ cursos! !

!ADocente methodsFor: 'accessing' stamp: 'Javi 9/20/2013 16:26'!
cursos: anObject
	cursos := anObject! !

!ADocente methodsFor: 'as yet unclassified' stamp: 'PabloM 9/25/2013 20:08'!
initialize 
	super initialize .
	cursos := Bag new.! !

!APersona methodsFor: 'accessing' stamp: 'Javi 9/25/2013 02:35'!
gruposInvestigacion
	^ gruposInvestigacion! !

!APersona methodsFor: 'accessing' stamp: 'Javi 9/25/2013 02:35'!
gruposInvestigacion: anObject
	gruposInvestigacion := anObject! !

Object subclass: #AResultado
	instanceVariableNames: 'descripcion fecha'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TpTraitsAlpha'!

!AResultado methodsFor: 'accessing' stamp: 'Javi 9/25/2013 02:33'!
descripcion
	^ descripcion! !

!AResultado methodsFor: 'accessing' stamp: 'Javi 9/25/2013 02:33'!
descripcion: anObject
	descripcion := anObject! !

!AResultado methodsFor: 'accessing' stamp: 'Javi 9/25/2013 03:20'!
esArticulo 
^descripcion includesSubString: 'artculo'! !

!AResultado methodsFor: 'accessing' stamp: 'Javi 9/25/2013 02:33'!
fecha
	^ fecha! !

!AResultado methodsFor: 'accessing' stamp: 'Javi 9/25/2013 02:33'!
fecha: anObject
	fecha := anObject! !

Object subclass: #ASesion
	uses: TEvento
	instanceVariableNames: 'fecha horaDesde horaHasta seminario'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TpTraitsAlpha'!

ASesion class
	uses: TEvento classTrait
	instanceVariableNames: ''!

!ASesion methodsFor: 'accessing' stamp: 'Javi 9/25/2013 02:31'!
fecha
	^ fecha! !

!ASesion methodsFor: 'accessing' stamp: 'Javi 9/25/2013 02:31'!
fecha: anObject
	fecha := anObject! !

!ASesion methodsFor: 'accessing' stamp: 'Javi 9/25/2013 02:31'!
horaDesde
	^ horaDesde! !

!ASesion methodsFor: 'accessing' stamp: 'Javi 9/25/2013 02:31'!
horaDesde: anObject
	horaDesde := anObject! !

!ASesion methodsFor: 'accessing' stamp: 'Javi 9/25/2013 02:31'!
horaHasta
	^ horaHasta! !

!ASesion methodsFor: 'accessing' stamp: 'Javi 9/25/2013 02:31'!
horaHasta: anObject
	horaHasta := anObject! !

!ASesion methodsFor: 'accessing' stamp: 'Javi 9/25/2013 02:56'!
seminario
	^ seminario! !

!ASesion methodsFor: 'accessing' stamp: 'Javi 9/25/2013 02:56'!
seminario: anObject
	seminario := anObject! !

!ASesion methodsFor: 'as yet unclassified' stamp: 'Javi 9/25/2013 03:01'!
string
^self seminario nombre! !
